Skip to content

MCP Server Registrations

The Model Context Protocol (MCP) Server Registrations API provides registration and lifecycle management operations for third-party MCP servers. See MCP Servers.

Note: This API, which is available as a Beta release, is only available if you're subscribed to Okta for AI Agents. Contact Okta Support for more information.

List all MCP servers

Request

Beta
OAuth 2.0 scope:
  • okta.resourceServers.mcpServers.read
Admin roles:
  • SUPER_ADMIN

Lists all registered third-party Model Context Protocol (MCP) servers

Query
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.

limitinteger, [ 1 .. 200 ]

A limit on the number of objects to return

Default:20
searchstring, (scim-filter)

Searches for MCP servers with a filtering expression. This supports the following operators:

  • eq operator for the status property
  • sw, co and eq operator for the metadata.displayName property
  • sw, co and eq operator for the detectedMetadata.resourceName

Note: This operation requires URL encoding. See Special characters.

Example:search=metadata.displayName sw "GitHub" and status eq "ACTIVE"
GET
/resource-servers/api/v1/mcp-servers
curl -i -X GET \
  'https://subdomain.okta.com/resource-servers/api/v1/mcp-servers?after=string&limit=20&search=metadata.displayName%20sw%20%22GitHub%22%20and%20status%20eq%20%22ACTIVE%22'

Responses

OK

Bodyapplication/json
dataArray of objects(MCPServer)required
Response
{ "data": [ {}, {}, {} ], "_links": { "self": {}, "next": {} } }